/api/v1/versions/deploy
POST
/api/v1/versions/deploy
const url = 'https://api.endless.zaia.app/api/v1/versions/deploy';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.endless.zaia.app/api/v1/versions/deployDeploys the current draft version.
Responses
Seção intitulada “Responses”The draft version was deployed.
Media typeapplication/json
object
draftVersionId
required
A UUID v4 string that identifies an entity.
string format: uuid
message
required
string
Examplegenerated
{ "draftVersionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "message": "example"}Unauthorized.
Media typeapplication/json
The description of a known exception.
object
code
The error code.
string
cta
The error call-to-action.
object
type
required
string
url
required
string format: uri
feedback
required
The error feedback.
object
enUs
string
esEs
string
ptBr
string
message
required
The error message.
string
name
required
The error name.
string
Example
{ "cta": { "type": "support-contact" }}